API referenceLinkedin messaging
GET
/api/v1/messages/{id}

One message by its id, any Swarmhit read, sent or streamed in the last 90 days (404 otherwise; read its chat first).

Authorization

X-API-KEY<token>

Your API key from the console (gw_live_…).

In: header

Path Parameters

id*string

A LinkedIn message id (lgm_…), as message_id in a message list or a message_received event.

Response Body

application/json

curl -X GET "https://example.com/api/v1/messages/lgm_Zm9vYmFyYmF6cXV4"
{  "object": "Message",  "id": "string",  "message_id": "string",  "chat_id": "string",  "text": "string",  "subject": "string",  "timestamp": "2019-08-24T14:15:22Z",  "is_sender": 0,  "is_event": 0,  "sender_attendee_provider_id": "string",  "sender_provider_id": "string",  "attachments": [    {      "id": "string",      "type": "img",      "file_name": "string",      "file_size": 0,      "mimetype": "string",      "voice_note": true,      "duration": 0,      "unavailable": true    }  ]}